Package com.sun.mail.smtp

## Class SMTPSaslAuthenticator

- java.lang.Object
- - com.sun.mail.smtp.SMTPSaslAuthenticator

All Implemented Interfaces:
  `SaslAuthenticator`

    public class SMTPSaslAuthenticator
    extends java.lang.Object
    implements SaslAuthenticator

This class contains a single method that does authentication using SASL. This is in a separate class so that it can be compiled with J2SE 1.5. Eventually it should be merged into SMTPTransport.java.

### Constructor Summary

Constructors
`SMTPSaslAuthenticator​(SMTPTransport pr, java.lang.String name, java.util.Properties props, MailLogger logger, java.lang.String host)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `authenticate​(java.lang.String[] mechs, java.lang.String realm, java.lang.String authzid, java.lang.String u, java.lang.String p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SMTPSaslAuthenticator

    public SMTPSaslAuthenticator​(SMTPTransport pr,
                                 java.lang.String name,
                                 java.util.Properties props,
                                 MailLogger logger,
                                 java.lang.String host)

### Method Detail

#### authenticate

    public boolean authenticate​(java.lang.String[] mechs,
                                java.lang.String realm,
                                java.lang.String authzid,
                                java.lang.String u,
                                java.lang.String p)
                         throws MessagingException

Specified by:
  `authenticate` in interface `SaslAuthenticator`
Throws:
  `MessagingException`